Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.dependencyGraph
Class ResponseTimeNodeDecorator

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.AbstractNodeDecorator
          kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.ResponseTimeNodeDecorator

    public class ResponseTimeNodeDecorator

extends AbstractNodeDecorator

Decorator to attach response time data to graph nodes.

Since:
  1.5
Author:
  Holger Knoche

Constructor Summary
`ResponseTimeNodeDecorator(TimeUnit displayTimeunit)` Creates a new response time decorator.

Method Summary
`void` | `processMessage(AbstractMessage message, DependencyGraphNode<?> sourceNode, DependencyGraphNode<?> targetNode, TimeUnit timeunit)` Processes a message sent from the given source to the given target node.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.AbstractNodeDecorator
`createFromName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseTimeNodeDecorator

    public ResponseTimeNodeDecorator(TimeUnit displayTimeunit)

  Creates a new response time decorator.

Method Detail

### processMessage

    public void processMessage(AbstractMessage message,
                               DependencyGraphNode<?> sourceNode,
                               DependencyGraphNode<?> targetNode,
                               TimeUnit timeunit)

  Description copied from class: `AbstractNodeDecorator`
  Processes a message sent from the given source to the given target node.

  Specified by:
    `processMessage` in class `AbstractNodeDecorator`
  Parameters:
    `message` - The sent message
    `sourceNode` - The source node sending the message
    `targetNode` - The target node receiving the message
    `timeunit` - The time unit which determines how to interpret times.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net